{% for task in group.tasks %}
{% if month == 1 %}
    {% if date(task.date) < date('+8days')%}
        {% include 'AppBundle:Task/Compact:task.html.twig' %}
    {% endif %}
{% elseif month == 2 %}
    {% if date(task.date) <= date1 and date(task.date) > date('+7days') %}
        {% include 'AppBundle:Task/Compact:task.html.twig' %}
    {% endif %}
{% elseif month == 3 %}
    {% if date(task.date) < date('+90days') and date(task.date) > date1 %}
        {% include 'AppBundle:Task/Compact:task.html.twig' %}
    {% endif %}
{% elseif month == -1 %}
    {% if not task.date|default(null) or date(task.date) >= date('+90days')%}
        {% include 'AppBundle:Task/Compact:task.html.twig' %}
    {% endif %}
{% endif %}
{% endfor %}